Summary: PAM module which allows authentication using an NT server
Name: pam_smb
Version: 0.8
Release: 1
Group: Libraries/Security
Source: http://www.csn.ul.ie/~airlied/pam_smb/pam_smb-0.8.tar.gz
Copyright: GPL
BuildRoot: /tmp/pam_smb-root
Packager: Jason Gilbert <jason@mantissa.com>
URL: http://www.csn.ul.ie/~airlied/pam_smb/

%description
pam_smb is a PAM modules which allows authentication of UNIX users
using an NT server.

* Features include: 
- Glibc 2 support (RH 5.0)
- NT Domain support
- Encrypted LANMAN password support
- Ability to use backup server in case of failure of primary

%changelog

* Wed Jan 28 1998 Jason Gilbert <jason@scott.net>
- Initial rpm packaging

%prep
%setup -n pam_smb

%build
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
for I in /lib/security /usr/doc /etc; do
	mkdir -p $RPM_BUILD_ROOT/$I
done

install -s -m644 pam_smb_auth.so $RPM_BUILD_ROOT/lib/security

touch $RPM_BUILD_ROOT/etc/pam_smb.conf
chmod 644 $RPM_BUILD_ROOT/etc/pam_smb.conf

%post
cat <<EODIR

See the /usr/doc/pam_smb-%{PACKAGE_VERSION}/README
file for configuration information.
EODIR

%clean
rm -rf $RPM_BUILD_ROOT

%files
/lib/security/pam_smb_auth.so
%config /etc/pam_smb.conf
%doc CHANGES COPYING README pam_smb.conf.example
